

#include "stdio.h"

#include "filesys.h"

void
main()
{
	CFileSystem	fs;
	
	CString CurrentDir = fs.GetCurrentDirectory();
	printf("Current Directory = %s\n", (const char *) CurrentDir);

	CStringList *pDirList = fs.GetDirectory("*.*", CFileSystem::normal, TRUE);
	printf("\nDirectory Listing:\n");
	for (int i = 0; i < pDirList->GetCount(); i++)
	{
		CString String = pDirList->GetAt(pDirList->FindIndex(i));
		printf("\t%s\n", (const char *) String);
	} // for

	delete pDirList;
} // main 

