//*******************************************************************
//	
//	bitmap.h	headerfile
//	                        
//	(C) 1993 POET Software
//
//*******************************************************************                     

#include <ptblob.hxx>	//	header to class PtBlob

#ifndef __BITMAP_H__
#define __BITMAP_H__

class Bitmap
{
	private:                        
		CBitmap *m_pBitmap;		//	pointer to MFC Bitmap class
		short 	xBMWidth;       //	
		short 	yBMHeight;      //
	public:
		HANDLE	BitmapHandle;
		WORD	PixelHeight , PixelWidth;

		Bitmap() { }
		~Bitmap()
		   {
			if ( BitmapHandle )
		    	DeleteObject(BitmapHandle);
		    m_pBitmap->DeleteObject ();
		   }
		   
		void FAR Draw (CPaintDC *hdc, short xPos, short yPos);
		void Setup (CWnd *pWnd, PtBlob *Blob);
		short GetBMWidth() { return xBMWidth; }
		short GetBMHeight() { return yBMHeight; }
		BOOL LoadBitmap (PtBlob *);
		void GetBitmapData(char *, HANDLE BitsHandle,long BitsByteSize);
		BOOL OpenDIB(char *);
};

#endif	//	__BITMAP_H__

