// ******************************************************************
//
//	helloapp.h	headerfile
//            
//	Author: POET Software, August 1993
//
// ******************************************************************

#ifndef __HELLOAPP_H__
#define __HELLOAPP_H__


// ******************************************************************
//
//	class CHelloMainWnd
//
// ******************************************************************

/////////////////////////////////////////////////////////////////////////////
// CHelloMainWnd frame

class CHelloMainWnd : public CFrameWnd
{
protected:
	// Generated message map functions
	//{{AFX_MSG(CHelloMainWnd)
	afx_msg void OnAbout();
	afx_msg void OnPersEdit();
	afx_msg void OnProgEdit();
	afx_msg void OnExit();
	afx_msg void OnPersQuery();
	afx_msg void OnProgQuery();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP ()
public:
	CHelloMainWnd();	//	constructor changed from protected to public, cause DECLARE_DYNAMIC
						//	is not used and CHelloWinApp need public constructor to create window
	~CHelloMainWnd () {}
};

/////////////////////////////////////////////////////////////////////////////

// ******************************************************************
//
//	class CHelloWinApp
//
// ******************************************************************                                  

class PtBase;	

class CHelloWinApp : public CWinApp
{
private :
	PtBase *oa;	//	database administration
	
	void ErrorExit (char *error);
public :
	CHelloWinApp ();
    ~CHelloWinApp ();
	BOOL InitInstance ();
	PtBase *GetOA () {return oa;}
};



#endif  // __HELLOAPP_H__