// ******************************************************************
//
//  progdlg.cpp : implementation file
// 
//	Implemented classes:
//		CEditProgDlg
//
//  Author: Nils Behncke
//			POET Software GmbH, August 1993
//
// ******************************************************************


#include <stdafx.h>			//	header to MFC
#include <persdlg.h>		//	header to baseclass of this file
#include <progdlg.h>		//	header to this file
#include <adrdlg.h>			//	header to addressdialog
#include <stepdlg.h>		//	header to stepdialog
#include <pictdlg.h>		//	header to picturedialog
#include <helloapp.h>		//	header to application


extern CHelloWinApp NEAR theApp;	//	instance of application

#ifdef _DEBUG		//	added by ClassWizard
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CEditProgDlg dialog

CEditProgDlg::CEditProgDlg(CWnd* pParent, UINT nIDTemp)	//	extended constructor, see comment in headerfile
	: CEditPersDlg(pParent, nIDTemp)
{
	//{{AFX_DATA_INIT(CEditProgDlg)
	m_intExpierience = 0;	//	initialize membervariables
	m_strLanguage = "";
	//}}AFX_DATA_INIT
}


CEditProgDlg::~CEditProgDlg ()
{
}


void CEditProgDlg::DoDataExchange(CDataExchange* pDX)
{
	CEditPersDlg::DoDataExchange(pDX);	//	call DoDataExchange of baseclass
	//{{AFX_DATA_MAP(CEditProgDlg)
	DDX_Text(pDX, IDC_EDIT_LANG, m_strLanguage);
	DDX_Text(pDX, IDC_EDIT_EXP, m_intExpierience);
	//}}AFX_DATA_MAP
}

void CEditProgDlg::ClearControls ()
{
	m_strLanguage = "";
	m_intExpierience = 0;
	CEditPersDlg::ClearControls (); // 22.11
}

	//{{AFX_MSG_MAP(CEditProgDlg)
	//}}AFX_MSG_MAP

//	comments above are needed to let ClassWizard accept this class
//	no MESSAGEMAP necessary, using MESSAGEMAP of CEditPersDlg


void CEditProgDlg::Show ()
{
	CEditPersDlg::Show ();	// show all Person items   
	Programmer		*programmer = (Programmer *) person;	//  cast member variable to programmer
	m_intExpierience = programmer->GetExp ();
	m_strLanguage = programmer->GetLang ();
	UpdateData (FALSE);
}    

 
void CEditProgDlg::Fill ()
{                                        
	CEditPersDlg::Fill ();	//	fill person's data

	UpdateData (); 
	
	//	add programmer data
	Programmer		*programmer = (Programmer *) person;
	programmer->SetExp (m_intExpierience);
	programmer->SetLang (m_strLanguage.GetBuffer (m_strLanguage.GetLength ()));
}


void CEditProgDlg::NewPersonPtr ()
{
	person = new Programmer ();
}


void CEditProgDlg::NewAllSetPtr ()
{
	allperson = new ProgrammerAllSet (theApp.GetOA ());	// create AllSet and
													// assign it to database
} 



/////////////////////////////////////////////////////////////////////////////
// CEditProgDlg message handlers


//	all handlers are implemented in CEditPersDlg
